#
# spec file for package imgvtopgm
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           imgvtopgm
Version:        2.0
Release:        bp155.3.7
Summary:        Palm Pilot Image Viewer to PGM Converter
License:        GPL-2.0-or-later
Group:          Productivity/Graphics/Convertors
URL:            https://sf.net/projects/imgvtopgm/

#SVN-Clone:	svn://svn.code.sf.net/p/imgvtopgm/code/trunk
Source:         https://downloads.sf.net/%name/%name-%version.tar.gz
Patch0:         %{name}-%{version}-warnings-fix.diff
Patch1:         imgvtopgm-lib-cleanup.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libnetpbm-devel
Requires:       netpbm

%description
Tools for converting Pilot Image Viewer pdb files to and from Portable
Graymaps and Portable Bitmaps. The tools support grayscale and
monochrome images with or without compression and with or without
notes.

If you are looking for a cool (and free) image viewer for your Pilot,
you should look at TinyViewer (http://www.righto.com/pilot/tv.html).

%prep
%setup -qn %name-%version.orig
%patch0
%patch1 -p1

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc AUTHORS  CREDITS  INSTALL  NEWS Pilot16 COPYING  ChangeLog  Pilot README
%doc samples/
%_bindir/*
%_mandir/man1/*.1*

%changelog
* Thu May 19 2022 Marcus Meissner <meissner@suse.com>
- switch to https urls
* Thu Jul 30 2015 dimstar@opensuse.org
- Add imgvtopgm-lib-cleanup.patch: cleanup usage of libraries after
  netpbm has been changed to no loner provide all compatibility
  names (due to conflicts with openpgm).
* Sun Oct  5 2014 jengelh@inai.de
- Update homepage URL, remove ancient/redundant sections from
  specfile, use modern macros.
* Thu Aug  9 2007 ro@suse.de
- added libnetpbm-devel to buildreq
* Wed May 24 2006 schwab@suse.de
- Don't strip binaries.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Aug  1 2005 ro@suse.de
- add -lm to help configure with netpbm
* Thu Jun 23 2005 meissner@suse.de
- use RPM_OPT_FLAGS, fixed all implicit warnings.
* Mon Apr 26 2004 postadal@suse.cz
- fixed gcc warnings
* Sun Jan 11 2004 adrian@suse.de
- add %%defattr
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Tue Nov 13 2001 tcrhak@suse.cz
- removed aclocal, autoconf and automake
* Mon Jul 30 2001 adostal@suse.cz
- change gz to bz2
* Tue Feb 13 2001 pblaha@suse.cz
- create this package for view images on Palm
